Debian Bug report logs - #705485
liboctave-dev: including mex.h does not work with G++ 4.8

version graph

Package: liboctave-dev; Maintainer for liboctave-dev is Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>; Source for liboctave-dev is src:octave.

Reported by: Matthias Klose <doko@debian.org>

Date: Sat, 23 Feb 2013 11:22:35 UTC

Severity: important

Tags: jessie, patch, pending, sid, upstream

Found in version octave/3.6.2-5

Fixed in version octave/3.6.4-3

Done: Sébastien Villemot <sebastien@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://savannah.gnu.org/bugs/index.php?38746

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>:
Bug#701270; Package src:dynare. (Sat, 23 Feb 2013 11:22:37 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>. (Sat, 23 Feb 2013 11:22:37 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: dynare: ftbfs with GCC-4.8
Date: Sat, 23 Feb 2013 11:20:30 +0000
Package: src:dynare
Version: 4.3.0-2
Severity: important
Tags: sid jessie
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.8

The package fails to build in a test rebuild on at least amd64 with
gcc-4.8/g++-4.8, but succeeds to build with gcc-4.7/g++-4.7. The
severity of this report may be raised before the jessie release.

  cstdlib:174:20: error: declaration of C function 'long long int std::abs(long long int)' conflicts with

The full build log can be found at:
http://people.debian.org/~doko/logs-20130217/gcc48/dynare_4.3.0-2_unstable_gcc48.log
The last lines of the build log are at the end of this report.

To build with GCC 4.8, either set CC=gcc-4.8 CXX=g++-4.8 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

  apt-get -t experimental install g++ g++-4.7 g++-4.8 libc6-dev

The test rebuild was done with eglibc-2.17 and GCC-4.8, so some issues
might be caused by the updated glibc.

[...]
make[4]: Leaving directory `/«PKGBUILDDIR»/mex/build/octave/k_order_perturbation'
Making html in dynare_simul_
make[4]: Entering directory `/«PKGBUILDDIR»/mex/build/octave/dynare_simul_'
make[4]: Nothing to be done for `html'.
make[4]: Leaving directory `/«PKGBUILDDIR»/mex/build/octave/dynare_simul_'
Making html in qzcomplex
make[4]: Entering directory `/«PKGBUILDDIR»/mex/build/octave/qzcomplex'
make[4]: Nothing to be done for `html'.
make[4]: Leaving directory `/«PKGBUILDDIR»/mex/build/octave/qzcomplex'
Making html in ordschur
make[4]: Entering directory `/«PKGBUILDDIR»/mex/build/octave/ordschur'
make[4]: Nothing to be done for `html'.
make[4]: Leaving directory `/«PKGBUILDDIR»/mex/build/octave/ordschur'
Making html in block_kalman_filter
make[4]: Entering directory `/«PKGBUILDDIR»/mex/build/octave/block_kalman_filter'
make[4]: Nothing to be done for `html'.
make[4]: Leaving directory `/«PKGBUILDDIR»/mex/build/octave/block_kalman_filter'
Making html in sobol
make[4]: Entering directory `/«PKGBUILDDIR»/mex/build/octave/sobol'
make[4]: Nothing to be done for `html'.
make[4]: Leaving directory `/«PKGBUILDDIR»/mex/build/octave/sobol'
Making html in local_state_space_iterations
make[4]: Entering directory `/«PKGBUILDDIR»/mex/build/octave/local_state_space_iterations'
make[4]: Nothing to be done for `html'.
make[4]: Leaving directory `/«PKGBUILDDIR»/mex/build/octave/local_state_space_iterations'
Making html in ms_sbvar
make[4]: Entering directory `/«PKGBUILDDIR»/mex/build/octave/ms_sbvar'
make[4]: Nothing to be done for `html'.
make[4]: Leaving directory `/«PKGBUILDDIR»/mex/build/octave/ms_sbvar'
Making html in libslicot
make[4]: Entering directory `/«PKGBUILDDIR»/mex/build/octave/libslicot'
make[4]: Nothing to be done for `html'.
make[4]: Leaving directory `/«PKGBUILDDIR»/mex/build/octave/libslicot'
Making html in kalman_steady_state
make[4]: Entering directory `/«PKGBUILDDIR»/mex/build/octave/kalman_steady_state'
make[4]: Nothing to be done for `html'.
make[4]: Leaving directory `/«PKGBUILDDIR»/mex/build/octave/kalman_steady_state'
make[4]: Entering directory `/«PKGBUILDDIR»/mex/build/octave'
make[4]: Nothing to be done for `html-am'.
make[4]: Leaving directory `/«PKGBUILDDIR»/mex/build/octave'
make[3]: Leaving directory `/«PKGBUILDDIR»/mex/build/octave'
make[3]: Entering directory `/«PKGBUILDDIR»'
make[3]: Nothing to be done for `html-am'.
make[3]: Leaving directory `/«PKGBUILDDIR»'
make[2]: INTERNAL: Exiting with 11 jobserver tokens available; should be 10!
make[2]: Leaving directory `/«PKGBUILDDIR»'
dh_auto_build: make -j10 all pdf html returned exit code 2
make[1]: *** [override_dh_auto_build] Error 2
make: *** [build-arch] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2



Bug 701270 cloned as bug 705485 Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 15:39:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:dynare' to 'liboctave-dev'. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 15:39:05 GMT) Full text and rfc822 format available.

No longer marked as found in versions dynare/4.3.0-2. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 15:39:06 GMT) Full text and rfc822 format available.

Marked as found in versions octave/3.6.2-5. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 15:39:07 GMT) Full text and rfc822 format available.

Changed Bug title to 'liboctave-dev: including mex.h does not work with G++ 4.8' from 'dynare: ftbfs with GCC-4.8' Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 15:39:08 GMT) Full text and rfc822 format available.

Added indication that bug 705485 blocks 701270 Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 15:39:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>:
Bug#705485; Package liboctave-dev. (Mon, 15 Apr 2013 16:03:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@dynare.org>:
Extra info received and forwarded to list. Copy sent to Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>. (Mon, 15 Apr 2013 16:03:13 GMT) Full text and rfc822 format available.

Message #22 received at 705485@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@dynare.org>
To: Matthias Klose <doko@debian.org>, 705485@bugs.debian.org
Subject: liboctave-dev: including mex.h does not work with G++ 4.8 [was: Bug#701270: dynare: ftbfs with GCC-4.8]
Date: Mon, 15 Apr 2013 17:53:47 +0200
[Message part 1 (text/plain, inline)]
Control: tags -1 + upstream patch
Control: forwarded -1 https://savannah.gnu.org/bugs/index.php?38746

Le samedi 23 février 2013 à 11:20 +0000, Matthias Klose a écrit :
> Package: src:dynare
> Version: 4.3.0-2
> Severity: important
> Tags: sid jessie
> User: debian-gcc@lists.debian.org
> Usertags: ftbfs-gcc-4.8
> 
> The package fails to build in a test rebuild on at least amd64 with
> gcc-4.8/g++-4.8, but succeeds to build with gcc-4.7/g++-4.7. The
> severity of this report may be raised before the jessie release.
> 
>   cstdlib:174:20: error: declaration of C function 'long long int std::abs(long long int)' conflicts with

This error comes from a bug in liboctave-dev.

The root of the problem is that mex.h includes mexproto.h within an
extern "C" block. In turn, mexproto.h includes cstdlib. 

Apparently, including cstdlib within an extern "C" block was working
with G++ 4.7, but this is no longer the case. 

The fix is to include mexproto.h outside of the extern "C" block.

-- 
Sébastien Villemot
Researcher in Economics
Dynare developer
http://www.dynare.org/sebastien

[signature.asc (application/pgp-signature, inline)]

Added tag(s) upstream and patch. Request was from Sébastien Villemot <sebastien@dynare.org> to 705485-submit@bugs.debian.org. (Mon, 15 Apr 2013 16:03:13 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://savannah.gnu.org/bugs/index.php?38746'. Request was from Sébastien Villemot <sebastien@dynare.org> to 705485-submit@bugs.debian.org. (Mon, 15 Apr 2013 16:03:14 GMT) Full text and rfc822 format available.

Added tag(s) jessie. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Thu, 18 Apr 2013 17:33:56 GMT) Full text and rfc822 format available.

Added indication that bug 705485 blocks 701342 Request was from Yaroslav Halchenko <debian@onerussian.com> to control@bugs.debian.org. (Mon, 13 May 2013 16:54:05 GMT) Full text and rfc822 format available.

Added indication that bug 705485 blocks 701330 Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Wed, 22 May 2013 11:45:17 GMT) Full text and rfc822 format available.

Added indication that bug 705485 blocks 701329 Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Wed, 22 May 2013 11:45:18 GMT) Full text and rfc822 format available.

Added indication that bug 705485 blocks 701327 Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Wed, 22 May 2013 11:45:20 GMT) Full text and rfc822 format available.

Reply sent to Sébastien Villemot <sebastien@debian.org>:
You have taken responsibility. (Wed, 29 May 2013 16:09:05 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Wed, 29 May 2013 16:09:05 GMT) Full text and rfc822 format available.

Message #41 received at 705485-close@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 705485-close@bugs.debian.org
Subject: Bug#705485: fixed in octave 3.6.4-3
Date: Wed, 29 May 2013 16:07:38 +0000
Source: octave
Source-Version: 3.6.4-3

We believe that the bug you reported is fixed in the latest version of
octave, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 705485@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sébastien Villemot <sebastien@debian.org> (supplier of updated octave package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 29 May 2013 14:52:45 +0200
Source: octave
Binary: octave octave-dbg octave-common octave-doc octave-htmldoc octave-info liboctave1 liboctave-dev
Architecture: source amd64 all
Version: 3.6.4-3
Distribution: unstable
Urgency: low
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Changed-By: Sébastien Villemot <sebastien@debian.org>
Description: 
 liboctave-dev - Development files for the GNU Octave language
 liboctave1 - Shared libraries of the GNU Octave language
 octave     - GNU Octave language for numerical computations
 octave-common - architecture-independent files for octave
 octave-dbg - Debug symbols for octave
 octave-doc - PDF documentation on the GNU Octave language
 octave-htmldoc - HTML documentation on the GNU Octave language
 octave-info - GNU Info documentation on the GNU Octave language
Closes: 705485
Changes: 
 octave (3.6.4-3) unstable; urgency=low
 .
   * gcc-4.8.diff: new patch, fixes compilation of C++ MEX files with GCC 4.8
     (Closes: #705485)
Checksums-Sha1: 
 bb9562a7f742f0f05c349da105f96e38dab8b728 2885 octave_3.6.4-3.dsc
 d01dab3f6567b977bba1697a97ec352224033daa 104094 octave_3.6.4-3.debian.tar.gz
 f2f6e9910e4fc68ceddb427dc3ee5b991987305d 1830932 octave_3.6.4-3_amd64.deb
 680529ad93f083974a538aa58192bd4822350594 116001972 octave-dbg_3.6.4-3_amd64.deb
 6db3b41fa2d5f545301933e5d464b23c1f91d326 847040 octave-common_3.6.4-3_all.deb
 c140b033465b527bc90ff63fecb8d26771ce176f 3994558 octave-doc_3.6.4-3_all.deb
 3639331925b5794bbaaeddcaf07c1463c7801485 1873652 octave-htmldoc_3.6.4-3_all.deb
 73d728ac893f6ce6bbd7d31608214d4b28ee68f7 665066 octave-info_3.6.4-3_all.deb
 c2d03208147fce6003481da6079584d53ffce662 8209964 liboctave1_3.6.4-3_amd64.deb
 c1c6a8e65cd3aa634ec7b5ea66a5216a832109b5 678112 liboctave-dev_3.6.4-3_amd64.deb
Checksums-Sha256: 
 64b98d566395b53226363f0e8b360acb987095f1c6b2b47180347ee6d33fca0d 2885 octave_3.6.4-3.dsc
 198272b04a596e94356057c9b76c98b1bdd4e1e1ab4e317fbfd564ea6dde8941 104094 octave_3.6.4-3.debian.tar.gz
 7ee898be6cd88beda59721cc79569e325a6344cbdf60ae686929c7385246f610 1830932 octave_3.6.4-3_amd64.deb
 d150949e2e4446e8a3cdac562829f65097fddd5276fe6b1ddbc7b6ff6e45aa25 116001972 octave-dbg_3.6.4-3_amd64.deb
 254fe56a10892a8c4614662e829d1945a6726ecedd41395ee8300bdd48eac78c 847040 octave-common_3.6.4-3_all.deb
 8135eee63525f5f983fdde714d4268eaa90e7c6ae44b21089b49e26911709848 3994558 octave-doc_3.6.4-3_all.deb
 379a3540c22a5f8d1d8f0653e76d9167ef96db626e9c030e02da2c07257e3d2f 1873652 octave-htmldoc_3.6.4-3_all.deb
 f454f5a3e04aaa373952a271baa234327a3789619c3fe88b90451da667086e48 665066 octave-info_3.6.4-3_all.deb
 fe0b512bc3ee0cb1bb7edc8934d60b3e15d1a0a53a92916f26cd4dd1fa26de1a 8209964 liboctave1_3.6.4-3_amd64.deb
 4294ff96032d5ab168d79470d77d2cf0440151afe204c82bfded304de55c1a83 678112 liboctave-dev_3.6.4-3_amd64.deb
Files: 
 219d1cc53cba7a1ee6fd88fe9c785531 2885 math extra octave_3.6.4-3.dsc
 f79c80fe64cb3b7f97067602071b404d 104094 math extra octave_3.6.4-3.debian.tar.gz
 a8f566b18daa6805907d685e8f46e420 1830932 math extra octave_3.6.4-3_amd64.deb
 70c11bdf314b7da648b11d8caab3def0 116001972 debug extra octave-dbg_3.6.4-3_amd64.deb
 065ab929bb75bcd5479daa69867c8fe8 847040 math extra octave-common_3.6.4-3_all.deb
 81d0f1c0d81f8272047d9a532ddf5393 3994558 doc extra octave-doc_3.6.4-3_all.deb
 a8ee2859db1840e407f72ae3880d5b16 1873652 doc extra octave-htmldoc_3.6.4-3_all.deb
 5939b45da22062bee800e1972f8a1b66 665066 doc extra octave-info_3.6.4-3_all.deb
 264f088e55be8442adac23e71442ce83 8209964 libs extra liboctave1_3.6.4-3_amd64.deb
 fe3987f4b60f7feba67fdf80ed46d1fd 678112 libdevel extra liboctave-dev_3.6.4-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRphZkAAoJECzs6TUOzr5KcT4P/24EQK3gyohnBYJh5VaL5P1x
Ld4U1hRzz2omuti+R7IopiHpCQu7DvAxUsnLtspHqgt+9dg5Bc9tQSFZwnW62UZO
e2AC7YwI2LU/AZEC+uh3JCp/vck+wEDfUVJfindOi13pbkLoW1kljFgT9SC74pU0
Wi5KU45rfrRQDV6Glv+M7NUgmPIffPxWsa36H+U950gZZL1PHynA/hWiNzbqz+10
oxsmOVhKpj/3wvIFdb3J4H50VnEkXEmeZlYcTF/7AACVV0BbIsxhqJjPnbuOwbos
BeKdJEl1pTJfCqdMefVZ3bwWblzdNUt6tufphnfluoPsycwZfwih1zk01dGStF5a
0sBoIL5VlM6Qr4TNBpG0Ck0tFRv9ZL7xe+hPEmh/7TkkkwIRzAs9rDF3uUXEyisK
GFPYOsky3Pt8ThFn5D6H08JTzYyv3ffK8QjM9wXHnPnGkKtkP4ciTmhQQlzrXjo+
diloiwrbwQY0uicEvAten3+ICniPAQ2B5RCihfvnt0tXumKxmI6Y2R/nUrzCTklA
YIBJas88Vm/AEa2XAQ+P+fS04dVddOLn345j+CFKe6obeuNsb2W3shgVUorTV+3/
XqWMMGbf0F1z4C0TfPGOpbALdljeJdT4bThYzAE9WNK4zfcwSKngM+mYXEQeZ9T8
RGKp1J8pmdC6xcZZvNSp
=HZpL
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>:
Bug#705485; Package liboctave-dev. (Wed, 29 May 2013 16:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>. (Wed, 29 May 2013 16:24:07 GMT) Full text and rfc822 format available.

Message #46 received at 705485@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 705485@bugs.debian.org
Cc: control@bugs.debian.org
Subject: [pkg-octave/master] gcc-4.8.diff: new patch, fixes compilation of C++ MEX files with GCC 4.8
Date: Wed, 29 May 2013 16:20:22 +0000
tag 705485 pending
thanks

Date: Wed May 29 14:52:17 2013 +0200
Author: Sébastien Villemot <sebastien@debian.org>
Commit ID: 5810662410640c9f3cab2e33904537ae64442ca6
Commit URL: http://git.debian.org/?p=pkg-octave/octave.git;a=commitdiff;h=5810662410640c9f3cab2e33904537ae64442ca6
Patch URL: http://git.debian.org/?p=pkg-octave/octave.git;a=commitdiff_plain;h=5810662410640c9f3cab2e33904537ae64442ca6

    gcc-4.8.diff: new patch, fixes compilation of C++ MEX files with GCC 4.8

    Closes: #705485
      



Added tag(s) pending. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Wed, 29 May 2013 16:24:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>:
Bug#705485; Package liboctave-dev. (Wed, 03 Jul 2013 01:27:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>. (Wed, 03 Jul 2013 01:27:07 GMT) Full text and rfc822 format available.

Message #53 received at 705485@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 705485@bugs.debian.org
Cc: Sébastien Villemot <sebastien@debian.org>
Subject: I believe the issue persists with 3.6.4-3
Date: Tue, 2 Jul 2013 21:24:20 -0400
Hi Guys,

unless I am mistaken in the cause here, but psychtoolbox-3 still FTBFS
under unstable+experimental with exactly the same error as before:

In file included from /usr/include/octave-3.6.4/octave/mexproto.h:52:0,
                 from /usr/include/octave-3.6.4/octave/mex.h:67,
                 from Common/Base/PsychIncludes.h:43,
                 from Common/Base/PsychConstants.h:36,
                 from Common/Base/Psych.h:34,
                 from Common/Base/PsychScriptingGlue.cc:101:
/usr/include/c++/4.8/cstdlib: In function 'long long int std::abs(long long int)':
/usr/include/c++/4.8/cstdlib:174:20: error: declaration of C function 'long long int std::abs(long long int)' conflicts with
   abs(long long __x) { return __builtin_llabs (__x); }
                    ^
/usr/include/c++/4.8/cstdlib:166:3: error: previous declaration 'long int std::abs(long int)' here
   abs(long __i) { return __builtin_labs(__i); }
   ^
/usr/include/c++/4.8/cstdlib: In function '__int128 std::abs(__int128)':
/usr/include/c++/4.8/cstdlib:179:19: error: declaration of C function '__int128 std::abs(__int128)' conflicts with
   abs(__int128 __x) { return __x >= 0 ? __x : -__x; }
                   ^
/usr/include/c++/4.8/cstdlib:174:3: error: previous declaration 'long long int std::abs(long long int)' here
   abs(long long __x) { return __builtin_llabs (__x); }
   ^
/usr/include/c++/4.8/cstdlib:179:19: error: declaration of C function '__int128 std::abs(__int128)' conflicts with
   abs(__int128 __x) { return __x >= 0 ? __x : -__x; }
                   ^
/usr/include/c++/4.8/cstdlib:166:3: error: previous declaration 'long int std::abs(long int)' here
   abs(long __i) { return __builtin_labs(__i); }
   ^

may be there are other commits needed to be cherry-picked? (I haven't
looked yet)

you can find a full log under

http://neuro.debian.net/_files/_buildlogs/psychtoolbox-3/3.0.10.20130612.dfsg1/psychtoolbox-3_3.0.10.20130612.dfsg1-1_amd64.build

-- 
Yaroslav O. Halchenko, Ph.D.
http://neuro.debian.net http://www.pymvpa.org http://www.fail2ban.org
Senior Research Associate,     Psychological and Brain Sciences Dept.
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>:
Bug#705485; Package liboctave-dev. (Wed, 03 Jul 2013 10:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>. (Wed, 03 Jul 2013 10:18:04 GMT) Full text and rfc822 format available.

Message #58 received at 705485@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: Yaroslav Halchenko <debian@onerussian.com>
Cc: 705485@bugs.debian.org
Subject: Re: I believe the issue persists with 3.6.4-3
Date: Wed, 03 Jul 2013 12:13:53 +0200
[Message part 1 (text/plain, inline)]
Le mardi 02 juillet 2013 à 21:24 -0400, Yaroslav Halchenko a écrit :
> Hi Guys,
> 
> unless I am mistaken in the cause here, but psychtoolbox-3 still FTBFS
> under unstable+experimental with exactly the same error as before:

Even though the error is the same than before, the problem is located in
psychtolbox-3, reasons below.

> In file included from /usr/include/octave-3.6.4/octave/mexproto.h:52:0,
>                  from /usr/include/octave-3.6.4/octave/mex.h:67,
>                  from Common/Base/PsychIncludes.h:43,
>                  from Common/Base/PsychConstants.h:36,
>                  from Common/Base/Psych.h:34,
>                  from Common/Base/PsychScriptingGlue.cc:101:
> /usr/include/c++/4.8/cstdlib: In function 'long long int std::abs(long long int)':

The core problem is that Pysch.h includes PsychConstants.h within an
"extern C" block. Transitively, mex.h and mexproto.h are also included
within this block. But mexproto.h includes <cstdlib> (because we're
doing C++), and g++ 4.8 does not like to have a C++ header included
within an "extern C" block.

The solution is therefore not to include mex.h within an "extern C"
block. I let you figure out how to do that best within psychtoolbox-3.

Cheers,

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594

[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 01 Aug 2013 07:31:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:15:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.